/******************************************************************************
 *
 * Filename: sun_reflect_NativeConstructorAccessorImpl.h
 *
 * Author:   Robert Thornburrow
 * Project:  JavaVM
 * Created:  3rd May 2003
 *
 * Purpose:  Native method implementations for
 *           sun.reflect.NativeConstructorAccessorImpl.
 *
 * (c) Copyright R.H.Thornburrow, 2003
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

#ifndef _sun_reflect_NativeConstructorAccessorImpl_h

#define _sun_reflect_NativeConstructorAccessorImpl_h


#include "../engine/jni.h"


#ifdef __cplusplus
extern "C" {
#endif


#if JDK_VERSION >= 140
extern jobject Java_sun_reflect_NativeConstructorAccessorImpl_newInstance0(
	JNIEnv* env, jclass staticself, jobject constr, jobject args );
#endif /* JDK 1.4 */


#ifdef __cplusplus
}
#endif

#endif /* _sun_reflect_NativeConstructorAccessorImpl_h */
