Summary: Taurus Java(TM) Virtual Machine
Name: javavm
Version: 1.1.0
Release: 1
Copyright: GPL
Source: %{name}-%{version}.tar.gz
Group: Application/Programming
BuildRoot: %{_tmppath}/%{name}-%{version}
%description
A Java(TM) Vitual Machine for Small Platforms.  Taurus JavaVM is a partial
implementation of Sun's Java(TM) Virtual Machine specification, built using a
clean-room approach (i.e. it contains no Sun code).  This binary package is
built for linux-i386 - binaries for other platforms are also available, as is
the source.  In order to do anything useful with this code, you need to supply
a set of Java classes - most commonly these are taken from Sun's own JDK.  If
you are using a JDK1.1 binary, you can use classes.zip for any platform.  If
you are using a JDK1.4 binary, then you must use rt.jar (and optionally
tools.jar) from a Linux version of the JDK.

%prep
%setup -q

%build
rm -rf %{buildroot}
make JDK_VERSION=140
mv linux-i386/javavm linux-i386/javavm140
make clean
make JDK_VERSION=118

%install
make install DESTDIR=%{buildroot}
install -d %{buildroot}/opt/javavvm/linux-i386
install -m 755 linux-i386/javavm140 %{buildroot}/opt/javavm/linux-i386/javavm140

%files
%doc COPYING HISTORY
/opt/javavm/bin/appletviewer
/opt/javavm/bin/jar
/opt/javavm/bin/java
/opt/javavm/bin/javac
/opt/javavm/bin/javac2
/opt/javavm/bin/javadoc
/opt/javavm/bin/javakey
/opt/javavm/bin/javap
/opt/javavm/bin/jdb
/opt/javavm/bin/native2ascii
/opt/javavm/bin/rmic
/opt/javavm/bin/rmiregistry
/opt/javavm/bin/serialver
/opt/javavm/lib/zip.so
/opt/javavm/linux-i386/javavm
/opt/javavm/linux-i386/javavm140
/usr/share/man/man1/javavm.1.gz

%clean
rm -rf %{buildroot}

%post

%changelog
* Sat Aug 16 2003 R.H.Thornburrow
- Setup install target and fixed files spec

* Tue Jun 03 2003 R.H.Thornburrow
- Created spec file
